package dao;

import javax.sql.DataSource;
import org.hsqldb.Server;
import org.springframework.jdbc.datasource.DriverManagerDataSource;
import java.util.List;

object ScalaTestMain {
  def main(args : Array[String]) {
      var server = new Server();
      server.setDatabaseName(0, "springjdbc");
      server.setDatabasePath(0, "mem:springjdbc;sql.enforce_strict_size=true");
      server.setLogWriter(null);
      server.setErrWriter(null);
      server.start();

      var ds = new DriverManagerDataSource("org.hsqldb.jdbcDriver",
                          "jdbc:hsqldb:hsql://localhost/springjdbc", "sa", "");
                          
      var conn = ds.getConnection();
      var stmt = conn.createStatement();

      stmt.execute("drop table Person if exists");
      stmt.execute("CREATE TABLE Person("
                          + "ID INTEGER NOT NULL IDENTITY PRIMARY KEY,"
                          + "NAME VARCHAR(12)," + "MAIL_ADDRESS VARCHAR(50)" + ")");

      stmt.execute("INSERT INTO Person VALUES(1,'启','ohboshi@starlight-strom.jp');");
      stmt.execute("INSERT INTO Person VALUES(2,'','starlight-strom.jp');");

      println("------ PersonDao ------");
      PersonDao.setDataSource(ds);
      var result : int = PersonDao.countAuthor();
      println("Count : " + result);
      
      var list:List = PersonDao.findAllAuthor();
      var Person = list.get(0);
      println("Person:" + Person);
    }
}